MODULE bike

TYPE Wheel
  INTEGER :: spokes
  REAL :: diameter, width
  CHARACTER(LEN=15) :: material
END TYPE Wheel

TYPE Bicycle
  CHARACTER(LEN=80) :: description(100)
  TYPE(Wheel) :: front, back
  REAL, ALLOCATABLE, DIMENSION(:) :: times
  INTEGER, DIMENSION(100) :: codes
END TYPE Bicycle

END MODULE bike
